%global systemctl_bin /usr/bin/systemctl

Summary:         NUMA user daemon
Name:            numad
Version:         0.7.1
Release:         2git%{?dist}
License:         LGPLv2
URL:             https://pagure.io/numad
Source0:         %{name}-%{version}git.tar.xz
Patch3000:       0000-remove-conf.patch

BuildRequires:   make gcc systemd-units
Requires:        systemd-units
Requires(post):  systemd-units
Requires(preun): systemd-units

%description
This package provides a daemon for NUMA (Non-Uniform Memory Architecture) systems,
which monitors NUMA characteristics and manages placement of processes
and memory to minimize memory latency and thus provide optimum performance.

%prep
%autosetup -n %{name}-%{version}git -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -std=gnu99" LDFLAGS="$RPM_LD_FLAGS -lpthread -lrt -lm"

%install
install -D -p -m 644 numad.service %{buildroot}%{_unitdir}/numad.service
install -D -p -m 644 numad.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%make_install prefix=%{buildroot}/usr

%post
%systemd_post numad.service

%preun
%systemd_preun numad.service

%postun
%systemd_postun numad.service

%files
%{_bindir}/numad
%{_unitdir}/numad.service
%config(noreplace) %{_sysconfdir}/logrotate.d/numad
%doc %{_mandir}/man8/numad.8.gz

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-2git
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.7.1-1
- Upgrade to version 0.7.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-4.20150602git
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-3.20150602git
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-2.20150602git
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Shuo Wang <abushwang@tencent.com> - 0.5-1.20150602git
- initial build
